#include "TMDlib.h"
#include <fstream>
#include <iomanip>
using namespace std;
using namespace TMDlib;


extern "C" {   
  void tmdinit_(char *name, int & irep) {     
  //   cout << " tmdinit_: name = " << name << " irep = " << irep <<endl;
    TMDinit(name, irep) ;
  };
  
  double tmdalphas_(double & mu) {
  double ret_val = TMDlib::TMDalphas(mu);
  //cout << "tmdalphas = " << ret_val<< endl;
  return ret_val;
  }
  
  int tmdgetorderalphas_() {
  int ret_val = TMDlib::TMDgetOrderAlphaS();
  //cout << " tmdgetorderalphas_ " << ret_val<< endl;
  return ret_val;
  }
  
  double tmdgetlam4_(){
  double ret_val= TMDlib::TMDgetLam4();
  return ret_val;}
  
  int tmdgetorderpdf_(){
  int ret_val = TMDlib::TMDgetOrderPDF();
  return ret_val;}
  
  double tmdgetxmin_() {
  
  double ret_val = TMDlib::TMDgetXmin();
  return ret_val;}
  
  double tmdgetxmax_() {
  double ret_val = TMDlib::TMDgetXmax();
  return ret_val;}
  
  double tmdgetq2min_() {
  double ret_val = TMDlib::TMDgetQ2min();
  return ret_val;}
  
  double tmdgetq2max_() {
  double ret_val = TMDlib::TMDgetQ2max();
  return ret_val;}
  
  int tmdgetnf_() {
  int ret_val = TMDlib::TMDgetNf();
  return ret_val;}
  
  int tmdnumberpdf_(char *name){
  int ret_val = TMDlib::TMDnumberPDF(name);
  return ret_val;}
   
  void tmdpdf_(int &kf, double &x, double &xbar, double &kt, double &mu, double& uval,   
    double& dval, double& sea, double& charm, double& bottom, double& gluon) {
  TMDpdf(kf, x,xbar,kt,mu, uval, dval, sea, charm, bottom, gluon);
  }  
}
